Bug 251818 - No warning displayed when permissions on /bin/date are revoked
No warning displayed when permissions on /bin/date are revoked
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 18:21 EDT by ray hammond
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.9.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-08-11 18:21:49 EDT
Description of problem:
Time not being set; not message to user to indicate failure.

Version-Release number of selected component (if applicable):
N/A (No about box on utility; is this right?)

How reproducible:
Every time

Steps to Reproduce:
1. As root revoke read, write execute permission on /bin/date
2. Open system-config-date from the menu.  Change the time and press OK.
  
Actual results:
Time does not change; there is no indication of the failure to the user.

Expected results:
The utility should: a) check /bin/date exists and b) check that execute
permission on /bin/date is granted.  If the utility is unable to set the date
the user should be informed.

Additional info:
Comment 1 Nils Philippsen 2007-08-16 16:48:27 EDT
fixed in upstream repository
Comment 2 Fedora Update System 2007-08-17 12:13:00 EDT
system-config-date-1.9.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-17 23:20:01 EDT
system-config-date-1.9.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.